Page 24 of 26 FirstFirst ... 142223242526 LastLast
Results 231 to 240 of 255

Thread: HOWTO: Install (G)FCEUX 2.0 NES emulator

  1. #231
    Join Date
    Oct 2011
    Beans
    2

    Re: HOWTO: Install (G)FCEUX 2.0 NES emulator

    Actually I'm using Debian unstable.

    These are my GTK2 related packages
    Code:
    $ dpkg-query --list | grep 'gtk2'
    ii  gtk2-engines-oxygen:amd64                    1.2.4-1                            Oxygen widget theme for GTK+-based applications
    ii  gtk2-engines-pixbuf:amd64                    2.24.10-1                          pixbuf-based theme for GTK+ 2.x
    ii  gtk2-engines-qtcurve                         1.8.15-1                           This is a set of widget styles for Gtk2 based apps
    ii  gtk2-ex-formfactory-perl                     0.67-0.0                           Makes building complex GUI's easy
    ii  libgtk2-gladexml-perl                        1.007-1+b2                         Perl interface to use user interfaces created with glade-2
    ii  libgtk2-perl                                 2:1.244-1                          Perl interface to the 2.x series of the Gimp Toolkit library
    ii  libgtk2.0-0:amd64                            2.24.10-1                          GTK+ graphical user interface library
    ii  libgtk2.0-bin                                2.24.10-1                          programs for the GTK+ graphical user interface library
    ii  libgtk2.0-cil                                2.12.10-4                          CLI binding for the GTK+ toolkit 2.12
    ii  libgtk2.0-common                             2.24.10-1                          common files for the GTK+ graphical user interface library
    ii  libwxgtk2.6-0                                2.6.3.2.2-6                        wxWidgets Cross-platform C++ GUI toolkit (GTK+ runtime)
    ii  libwxgtk2.8-0:amd64                          2.8.12.1-11                        wxWidgets Cross-platform C++ GUI toolkit (GTK+ runtime)
    ii  python-gtk2                                  2.24.0-3                           Python bindings for the GTK+ widget set
    ii  python-wxgtk2.8                              2.8.12.1-11                        wxWidgets Cross-platform C++ GUI toolkit (wxPython binding)
    ii  ruby-gtk2                                    1.1.3-2                            GTK+ bindings for the Ruby language

  2. #232
    Join Date
    Dec 2004
    Beans
    282

    Re: HOWTO: Install (G)FCEUX 2.0 NES emulator

    Quote Originally Posted by garybrlow View Post
    There is no error/segmentation fault if the driver is turned off/removed.
    this issue has been resolved in revision2539. thank you for your report!

  3. #233
    Join Date
    Dec 2004
    Beans
    282

    Re: HOWTO: Install (G)FCEUX 2.0 NES emulator

    Quote Originally Posted by someotheruser View Post
    Actually I'm using Debian unstable.

    These are my GTK2 related packages
    Code:
    $ dpkg-query --list | grep 'gtk2'
    ii  gtk2-engines-oxygen:amd64                    1.2.4-1                            Oxygen widget theme for GTK+-based applications
    ii  gtk2-engines-pixbuf:amd64                    2.24.10-1                          pixbuf-based theme for GTK+ 2.x
    ii  gtk2-engines-qtcurve                         1.8.15-1                           This is a set of widget styles for Gtk2 based apps
    ii  gtk2-ex-formfactory-perl                     0.67-0.0                           Makes building complex GUI's easy
    ii  libgtk2-gladexml-perl                        1.007-1+b2                         Perl interface to use user interfaces created with glade-2
    ii  libgtk2-perl                                 2:1.244-1                          Perl interface to the 2.x series of the Gimp Toolkit library
    ii  libgtk2.0-0:amd64                            2.24.10-1                          GTK+ graphical user interface library
    ii  libgtk2.0-bin                                2.24.10-1                          programs for the GTK+ graphical user interface library
    ii  libgtk2.0-cil                                2.12.10-4                          CLI binding for the GTK+ toolkit 2.12
    ii  libgtk2.0-common                             2.24.10-1                          common files for the GTK+ graphical user interface library
    ii  libwxgtk2.6-0                                2.6.3.2.2-6                        wxWidgets Cross-platform C++ GUI toolkit (GTK+ runtime)
    ii  libwxgtk2.8-0:amd64                          2.8.12.1-11                        wxWidgets Cross-platform C++ GUI toolkit (GTK+ runtime)
    ii  python-gtk2                                  2.24.0-3                           Python bindings for the GTK+ widget set
    ii  python-wxgtk2.8                              2.8.12.1-11                        wxWidgets Cross-platform C++ GUI toolkit (wxPython binding)
    ii  ruby-gtk2                                    1.1.3-2                            GTK+ bindings for the Ruby language
    Interesting... That shouldn't happen. I'll installing sid in a VM and see if I'm able to reproduce.

  4. #234
    Join Date
    Dec 2010
    Location
    Georgia
    Beans
    83
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: HOWTO: Install (G)FCEUX 2.0 NES emulator

    Options menu has NO options at all, how the heck do i configure input?
    "Cannon to the left of them, cannon to the right of them, cannon in front of them, volleyed and thundered..." -Lord Tennyson

  5. #235
    Join Date
    Dec 2004
    Beans
    282

    Re: HOWTO: Install (G)FCEUX 2.0 NES emulator

    Quote Originally Posted by VonSpyder View Post
    Options menu has NO options at all, how the heck do i configure input?
    Strange. What version of fceux and Ubuntu?

  6. #236
    Join Date
    Nov 2012
    Beans
    1

    Re: HOWTO: Install (G)FCEUX 2.0 NES emulator

    I needed also (before proceed with the install) to install dependencies for lua:

    Code:
    apt-get install liblua5.1-0-dev liblua50-dev liblualib50-dev
    I needed to remove my previous fceultra directory, and get a new copy from svn.

    Thanks.


    Quote Originally Posted by punkrockguy318 View Post
    These steps should work to install the latest version of the FCE UltraX (FCEUX) NES/Famicom emulator in Ubuntu.

    1. Install necessary dependencies.

    Code:
    sudo apt-get install scons libsdl1.2-dev subversion libgtk2.0-dev
    2. Open a terminal (Applications... Accessories... Terminal) and obtain source from subversion.
    Code:
    svn checkout http://svn.code.sf.net/p/fceultra/code/fceu fceultra
    3. Change directory into the fceultra folder.

    Code:
    cd fceultra/
    4. Build and install fceux.

    Code:
    sudo scons install
    And that's it! You can also grab an older version of fceux from the Ubuntu repositories, but the latest and greatest can be obtained and compiled from subversion.

    If you would like to contribute, or run into any issues, feel free to join us in #fceu on irc.freenode.com. You can also file bugs to our tracker (http://sourceforge.net/p/fceultra/bugs/). Please note that you may not receive an immediate response in IRC -- idling is key.

    Enjoy!

  7. #237

    Re: HOWTO: Install (G)FCEUX 2.0 NES emulator

    Hey, sorry to gum up this thread with more troubleshooting, but I've scoured the internet to the best of my abilities and can't get anywhere. I'm new to both fceux and linux (running Raspbian on a Raspberry Pi). I have compiled and installed FCEUX 2.2. If I try to run from command line I get a GTK warning. When I run in GUI, the program launches a black screen. I File>Open> choose my rom, and nothing happens.

    In order to verify, on my Windows PC I installed FCEUX 2.2 and ran then exact same rom and it worked. I am at a loss as to what I'm doing wrong. Any and all guidance would be appreciated! Thanks!

  8. #238
    Join Date
    Dec 2004
    Beans
    282

    Re: HOWTO: Install (G)FCEUX 2.0 NES emulator

    Quote Originally Posted by TheUniversalRemonster View Post
    Hey, sorry to gum up this thread with more troubleshooting, but I've scoured the internet to the best of my abilities and can't get anywhere. I'm new to both fceux and linux (running Raspbian on a Raspberry Pi). I have compiled and installed FCEUX 2.2. If I try to run from command line I get a GTK warning. When I run in GUI, the program launches a black screen. I File>Open> choose my rom, and nothing happens.

    In order to verify, on my Windows PC I installed FCEUX 2.2 and ran then exact same rom and it worked. I am at a loss as to what I'm doing wrong. Any and all guidance would be appreciated! Thanks!
    If you are running on the RaspPI, you may want to try disabling OpenGL. Can you be a little more specific about the error messages you are receiving?

  9. #239

    Re: HOWTO: Install (G)FCEUX 2.0 NES emulator

    Quote Originally Posted by punkrockguy318 View Post
    If you are running on the RaspPI, you may want to try disabling OpenGL. Can you be a little more specific about the error messages you are receiving?
    When trying to run from Command Line I get:

    (Fceux:12980): Gtk-WARNING **: cannot open display:

    I tried searching that error but the responses didn't seem to have anything to do with Fceux. Thanks for your help.

    EDIT: I checked, open GL is disabled in fceux options.
    Last edited by TheUniversalRemonster; December 26th, 2012 at 07:38 PM. Reason: more info

  10. #240
    Join Date
    Dec 2004
    Beans
    282

    Re: HOWTO: Install (G)FCEUX 2.0 NES emulator

    Quote Originally Posted by TheUniversalRemonster View Post
    When trying to run from Command Line I get:

    (Fceux:12980): Gtk-WARNING **: cannot open display:

    I tried searching that error but the responses didn't seem to have anything to do with Fceux. Thanks for your help.
    That message would indicate that the tty session that you are invoking fceux from is not able to access the X11 server. Are you running this as root or from within a screen/tmux session? You will likely be unable to run any other X11 applications from that tty session. Try running it from the X session directly and let me know what error message you are receiving -- the above error message is not an issue with fceux itself

Page 24 of 26 FirstFirst ... 142223242526 LastLast

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •